Package org.kapott.hbci.smartcardio

## Class RSABankData

- java.lang.Object
- - org.kapott.hbci.smartcardio.RSABankData

    public class RSABankData
    extends java.lang.Object

Author:
  axel

### Constructor Summary

Constructors
`RSABankData()`
`RSABankData​(int index, byte[] record, byte[] customerIdData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBankCode()`
`java.lang.String` `getBankId()`
`java.lang.String` `getComAddress()`
`int` `getComService()`
`java.lang.String` `getComSuffix()`
`java.lang.String` `getCountry()`
`java.lang.String` `getCustomerId()`
`int` `getIndex()`
`java.lang.String` `getSystemId()`
`java.lang.String` `getUserId()`
`void` `setBankCode​(java.lang.String bankCode)`
`void` `setBankId​(java.lang.String bankId)`
`void` `setComAddress​(java.lang.String comAddress)`
`void` `setComService​(int comService)`
`void` `setComSuffix​(java.lang.String comSuffix)`
`void` `setCountry​(java.lang.String country)`
`void` `setCustomerId​(java.lang.String customerId)`
`void` `setIndex​(int index)`
`void` `setSystemId​(java.lang.String systemId)`
`void` `setUserId​(java.lang.String userId)`
`byte[]` `toCustomerIdData()`
`byte[]` `toRecord()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RSABankData

    public RSABankData()

#### RSABankData

    public RSABankData​(int index,
                       byte[] record,
                       byte[] customerIdData)

### Method Detail

#### toRecord

    public byte[] toRecord()

#### toCustomerIdData

    public byte[] toCustomerIdData()

#### getIndex

    public int getIndex()

#### setIndex

    public void setIndex​(int index)

#### getCountry

    public java.lang.String getCountry()

#### setCountry

    public void setCountry​(java.lang.String country)

#### getBankCode

    public java.lang.String getBankCode()

#### setBankCode

    public void setBankCode​(java.lang.String bankCode)

#### getUserId

    public java.lang.String getUserId()

#### setUserId

    public void setUserId​(java.lang.String userId)

#### getComService

    public int getComService()

#### setComService

    public void setComService​(int comService)

#### getComAddress

    public java.lang.String getComAddress()

#### setComAddress

    public void setComAddress​(java.lang.String comAddress)

#### getComSuffix

    public java.lang.String getComSuffix()

#### setComSuffix

    public void setComSuffix​(java.lang.String comSuffix)

#### getBankId

    public java.lang.String getBankId()

#### setBankId

    public void setBankId​(java.lang.String bankId)

#### getSystemId

    public java.lang.String getSystemId()

#### setSystemId

    public void setSystemId​(java.lang.String systemId)

#### getCustomerId

    public java.lang.String getCustomerId()

#### setCustomerId

    public void setCustomerId​(java.lang.String customerId)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`